summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 5d326c5..19410b9 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -39,7 +39,7 @@ cd ..
echo 'Processing stage 01...'
cd 01
-rm -f out0[01]
+rm -f out*
make -s out01
if [ "$(./out01)" != 'Hello, world!' ]; then
echo_red 'Stage 01 failed.'
@@ -50,7 +50,7 @@ cd ..
echo 'Processing stage 02...'
cd 02
-rm -rf out0[12]
+rm -f out*
make -s out02
if [ "$(./out02)" != 'Hello, world!' ]; then
echo_red 'Stage 02 failed.'
@@ -60,7 +60,7 @@ cd ..
echo 'Processing stage 03...'
cd 03
-rm -rf out0[23]
+rm -f out*
make -s out03
if [ "$(./out03)" != 'Hello, world!' ]; then
echo_red 'Stage 03 failed.'
@@ -68,5 +68,15 @@ if [ "$(./out03)" != 'Hello, world!' ]; then
fi
cd ..
+echo 'Processing stage 04a...'
+cd 04a
+rm -f out*
+make -s out04a
+if [ "$(cat out04a)" != "$(printf '\n\nHello, world!')" ]; then
+ echo_red 'Stage 04a failed.'
+ exit 1
+fi
+cd ..
+
echo_green 'all stages completed successfully!'